% Test-Problem Generator for Unconstrained Global Optimization
%    Version 1.0 (December 25, 2009)
% by Chi-Kong NG (ckng@se.cuhk.edu.hk) and Duan LI (dli@se.cuhk.edu.hk)
%    Department of Systems Engineering and Engineering Management
%    The Chinese University of Hong Kong
%    Shatin, N.T., Hong Kong S.A.R, P.R. China
% 
% ngli.m     - This file.
% nglistd.m  - It generates any/all of the 300 standard test-problems:
%              ngli001.m   -- ngli300.m   (for Matlab),
%              ngli001.gms -- ngli300.gms (for GAMS),
%              ngli001.txt -- ngli300.txt (global minimizer and its value).
% ngligen.m  - It uses the parameters in "nlnnnn.par" to generate a 
%              user-defined test-problem:
%              nglinnnn.m   (for Matlab),
%              nglinnnn.gms (for GAMS),
%              nglinnnn.txt (global minimizer and its value),
%              where nnnn is the id (1000 <= nnnn <= 9999) of the problem
%                         and is the random seed for generating the problem.
% ngliobj.m  - Objective function, and its first and second derivatives.
%
% nglimain.m - Main procedure of the generator (for internal use only).


help ngli
